> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get list of all inscription IDs belonging to a specific Bitcoin inscription collection with pagination support.

# Inscription IDs by Collection Symbol



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/collections/{collection_symbol}/inscriptions
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/collections/{collection_symbol}/inscriptions:
    get:
      tags:
        - Inscriptions
      summary: Inscription IDs by Collection Symbol
      description: >-
        List of all inscriptions in the collection represented by the queried
        symbol.
      operationId: inscriptions_by_collection_symbol
      parameters:
        - name: collection_symbol
          in: path
          description: Collection symbol (UTF-8)
          required: true
          schema:
            type: string
          example: twick
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInscriptionsByCollectionSymbol'
              example:
                data:
                  - >-
                    85a4c2531f149cd8c69a34a9139cace0bdce99e906ee5ad5a4620cdef6adfc6ci0
                  - >-
                    7d75fe5bea7f11823050d029d281a8b23e9660c5cc133ad3f8b36fef8c8329c0i0
                  - >-
                    0c80a14912bf35b9303de0758eee6e91532f539104db7f34e760ed1574170d88i0
                  - >-
                    7fc5d6c9ffffe461b31dc96570134b3d658da767b51225d1771ba7ccffcf6201i0
                  - >-
                    3204df2e4908f47939878a0681733852ed3ddffca425f25bf67746fd099c78b8i0
                  - >-
                    491b5144bb2b67a05360e8cbd8ff0beba2a5e3823944796aa7e2680583403184i0
                  - >-
                    23fa74866576bd731b69fdc900d14b4d9ce904a9be16790d7dd76ac9cf652862i0
                  - >-
                    70abb5f531adf694438f3b14167f885336c280277f329d6c5fe720b8f5bb20aai0
                  - >-
                    793a7423c399c87de15f98499656df8bdffabf452879185f452ca33a5943bfb6i0
                  - >-
                    ced74edbbeb7ccac032a8a218a2ee6a7068963a1c4ae9a403969cc621ffe4f2ei0
                last_updated:
                  block_hash: >-
                    00000000000000000001998e2059bcbb25f76fd0ef39db8ddfc5c31c5ea95f1f
                  block_height: 876644
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedInscriptionsByCollectionSymbol:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            type: string
        last_updated:
          $ref: '#/components/schemas/ChainTip'
        next_cursor:
          type: string
          nullable: true
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````